#!/usr/bin/env python
# -*- coding: utf-8 -*-

##########################################################
## Hier geht das Abenteuer los
## Fluffy Quest - Ein Python Text-Adventure
## von OK
## Januar 2017
##########################################################

# Zuerst importieren wir die wichtigsten Module für unser Programm
import time

# Der erste Text zeigt wo, der Held ist und was es als nächstes zu tun gibt.
def cover():
 print("---------------------------------------------------------\n"
    "---------------------------------------------------------\n"
       "\n"
       " _______  _                 _______  _______\n"
       "(  ____ \( \      |\     /|(  ____ \(  ____ \|\     /|\n"
       "| (    \/| (      | )   ( || (    \/| (    \/( \   / )\n"
       "| (__    | |      | |   | || (__    | (__     \ (_) /\n"
       "|  __)   | |      | |   | ||  __)   |  __)     \   /\n"
       "| (      | |      | |   | || (      | (         ) (\n"
       "| )      | (____/\| (___) || )      | )         | |\n"
       "|/       (_______/(_______)|/       |/          \_/\n"
       "\n"
       "  ______           _______  _______ _________\n"
       "(  ___  )|\     /|(  ____ \(  ____ \\__   __/\n"
       "| (   ) || )   ( || (    \/| (    \/   ) (\n"
       "| |   | || |   | || (__    | (_____    | |\n"
       "| |   | || |   | ||  __)   (_____  )   | |\n"
       "| | /\| || |   | || (            ) |   | |\n"
       "| (_\ \ || (___) || (____/\/\____) |   | |\n"
       "(____\/_)(_______)(_______/\_______)   )_(\n"
       "\n"
       "Ein Python Text-Adventure\n"
       "---------------------------------------------------------\n"
       "---------------------------------------------------------\n\n")
 # Damit der Startbildschirm etwas wirken kann, wird etwas gewartet,
 # bis der nächste Text ausgegeben wird.
 time.sleep(3)

def einfuehrung():
 print("\n"
       "Es ist Samstagmorgen. Du wachst im Schlafbereich Deiner Raumstation auf.\n"
       "Das Surren der Maschinen, die Dich im Orbit halten, wirkt einschläfernd.\n"
       "Im Süden ist eine Luke, die auf einen Gang führt.\n"
       "Nachdem Du den Schlaf aus Deinen Augen gerieben hast, wird Dir klar: Du brauchst Kaffee ...\n")
 time.sleep(0.5)

def grundriss():
 # Zeichne am besten eine Karte von Deiner Abenteuerwelt.
 # In diesem Spiel sehen die Räume so aus (das O ist ein Durchgang):
 print ("Deine Raumstation - klein, aber fein:")
 print("""
          _______
        |         |
        |Kajüte   |
        |         |
        |__ ______|
         __O___ _______
        |     ||       |
        |     ||Brücke |
        |Gang  O       |
        |     ||       |
        |__ __||_______|
         __O_________
        |Maschinen-  |
        |raum        |
        |____________|
 
 
 """)
  
# Die Karte kann, sofern gewollt, unsichtbar bleiben,
# der Spieler muss dann die Räume selbst erforschen.


"""
Die verschiedenen Handlungsteile starten mit dem Ende der Geschichte und arbeiten sich bis zum Anfang vor.
So muss man beispielsweise loop6() vorab definieren, bevor man ihn aufrufen kann.
"""
def das_ende():
  print("""
     #######
     #       #    # #####  ######
     #       ##   # #    # #
     #####   # #  # #    # #####
     #       #  # # #    # #
     #       #   ## #    # #    
     ####### #    # #####  ######
  """)

def loop6():
 aktion = input('Willst Du verhandeln oder feuern?').lower()
 
 if aktion == 'feuern':
  print("\n"
        "Das Tentakelmonster fletscht die Zähne.\n"
        "Du betätigst Deinen Laser.\n"
        "Dann gibt es einen lauten Knall - das Monster ist verschwunden.\n"
        "Endlich kannst Du Fluffy verscheuchen.\n"
        "Du schnappst dir den Kaffee und frühstückst erstmal.\n"
        "Du findest, der Tag hätte auch besser anfangen können.\n")
  das_ende()
  time.sleep(1)
 
 elif aktion == 'verhandeln':
  print("\n"
        "Das Tentakelmonster schaut komisch aus der Wäsche.\n"
        "Es bedankt sich bei Dir für die netten Worte.\n"
        "Ihr setzt euch bei einem Kaffee zusammen und unterhaltet euch.\n"
        "Frank - so heißt das Alien - ist nur auf der Durchreise.\n"
        "Ihr versteht euch blendend.\n"
        "Der Kaffee schmeckt sehr gut.\n")
  das_ende()
  time.sleep(1)
 
 else:
  print("\n"
        "Das Tentakelmonster fletscht die Zähne.\n"
        "Es kommt auf Dich zu.\n")
  time.sleep(2)
  loop6()

def loop5():
 aktion = input('Möchtest Du stehenbleiben oder Fluffy packen?').lower()
 
 if aktion == 'packen':
  print("\n"
        "Kurz bevor Du die Katze und Deinen Kaffee in die Hände bekommst, taucht hinter Dir ein Tentakelmonster wie aus dem Nichts auf.\n"
        "Daher kam also das komische Geräusch.\n"
        "Du bist aber nur mäßig erschreckt.\n"
        "Immerhin gehört so eine Situation zu Deinem Weltraum-Alltag.\n"
        "Du ziehst eine Augenbraue nach oben.\n"
        "Dann greifst Du nach Deiner Laserpistole.\n")
  time.sleep(0.5)
  loop6()
  
 elif aktion == 'stehenbleiben':
  print("\nFluffy schaut Dich aus der Rettungkapsel an. Miaut und bleibt auf Deinem Kaffee liegen. Das Geräusch wird lauter.\n")
  time.sleep(0.5)
  loop5()
 
 else:
  print("\nGute Idee. Das bringt Dich allerdings nicht weiter.\n")
  time.sleep(0.5)
  loop5()

def loop4():
 aktion = input('Willst Du Fluffy verfolgen oder willst Du nichts tun?').lower()
 
 if aktion == 'nichts tun':
  print("\n"
        "Jetzt stehtst Du einfach in Deiner Küche. Und musst vermutlich verdursten.\n")
  time.sleep(0.5)
  loop4()
 
 elif aktion == 'verfolgen':
  print("\n"
        "Du jagst dem spitzohrigen Strolch verschlafen bis in den Maschinenraum hinterher.\n"
        "Tatsächlich stand die Druchgangsluke weit offen.\n"
        "Du hörst das Wummern des Energiegitters. Und ein seltsames Geräusch.\n"
        "Fluffy hat es sich derweil in der Rettungskapsel bequem gemacht.\n")
  loop5()
 else:
  print("\nDas kannst Du leider nicht machen.\n")
  loop4()

def loop3():
 print("\nDie Brücke. Es ist etwas chaotisch. Überall leere Pizzakartons.\n"
       "Fluffy, Dein übergewichtiger Weltraum-Kater, hat es sich auf dem Pilotensitz bequem gemacht.\n"
       "Dort gehört er nicht hin. Und dann liegt er auch noch auf Deinem Kaffeepaket!\n")
 time.sleep(2)
 
 aktion = input('Was willst Du tun (Fluffy verscheuchen oder warten)?').lower()
 
 if aktion == 'warten':
  print("\nDeine Taktik ist weise - aber nicht sehr erfolgreich.\n"
        "Fluffy bleibt einfach liegen.\n")
  time.sleep(0.5)
  loop3()
  
 elif aktion.lower() == 'verscheuchen':
  print("\n"
        "Fluffy wacht auf, faucht und verschwindet.\n"
        "Aber was hat er jetzt wieder angerichtet?\n"
        "Er spurtet nicht einfach von der Brücke, er nimmt Deinen Kaffe mit!\n"
        "Du hörst, wie er vom Gang in den Maschinenraum saust - \n"
        "war die Tür vorhin nicht verschlossen?\n")
  time.sleep(0.5)
  
  loop4()
 
 else:
  print("\nDas kannst Du nicht tun.\n")
  loop3()
  
def loop2():
 aktion = input('Dein Kaffee-Durst wird schlimmer. Wo geht es jetzt hin? (Norden, Osten, Süden oder Westen)?').lower()
 
 if aktion == 'osten':
  loop3()
 
 elif aktion == 'süden':
  print("\nDer Maschinenraum ist abgeschlossen. Vielleicht solltest Du zuerst auf die Brücke?\n")
  loop2()
 
 else:
  print("\nDa kannst Du nicht lang.\n")
  loop2()

def loop1():
 aktion = input('Wo gehst du hin? Norden, Osten, Süden oder Westen? ')
 aktion = aktion.lower()

# Der Spieler entscheidet sich, wohin es gehen soll

 if aktion  == 'süden':
  print("\nDu verlässt die Kajüte und stehst im Flur.\n"
        "Im Osten geht es zur Brücke.\n"
        "Zum Glück steht dort Dein Coffee-Maker.9000.\n"
        "Im Süden geht es in den Maschinenraum.\n")
  loop2()
 
 else:
  print("\nDa kannst Du leider nicht lang.\n")
  loop1()


def main():
 cover()
 einfuehrung()
 grundriss()

 # Hier wird die erste Loop gestartet und damit beginnt das Spiel
 loop1()


main()
